Bug#941018: ibus 1.5.21-1 does not work with qt5 applications

2019-11-04 Thread Simon McVittie
On Sun, 03 Nov 2019 at 17:51:09 +0100, Salvatore Bonaccorso wrote: > On Wed, Oct 30, 2019 at 03:04:26PM +0000, Simon McVittie wrote: > > How do the security team want to handle this - as a stable update, or > > as a DSA? It isn't a security fix in its own right, bu

Bug#885810: marked as pending in gmpc

2019-11-02 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #885810 in gmpc reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#941018: ibus 1.5.21-1 does not work with qt5 applications

2019-10-30 Thread Simon McVittie
On Wed, 30 Oct 2019 at 15:45:19 +0100, Gunnar Hjalmarsson wrote: > Seeing that you included quite a few patches in this update, I have a > question as regards the stable releases. Are the commits included in > a standalone set > of commits

Bug#941018: marked as pending in glib2.0

2019-10-29 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #941018 in glib2.0 reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#941018: marked as pending in glib2.0

2019-10-29 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #941018 in glib2.0 reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#941018: libdbus clients fail to authenticate with private GDBusServer

2019-10-28 Thread Simon McVittie
Control: reassign -1 libglib2.0-0 2.42.1-1 Control: retitle -1 libglib2.0-0: libdbus clients fail to authenticate with private GDBusServer On Mon, 28 Oct 2019 at 17:36:24 +0900, Changwoo Ryu wrote: > This is a dbus-glib upstream issue > (https://gitlab.gnome.org/GNOME/glib/issues/1831). This is

Bug#941018: ibus 1.5.21-1 does not work with qt5 applications

2019-10-22 Thread Simon McVittie
On Tue, 22 Oct 2019 at 19:30:51 +0200, Gunnar Hjalmarsson wrote: > Simon has prepared a fix of this issue via a glib merge request: > > https://gitlab.gnome.org/GNOME/glib/merge_requests/1176 > > I applied the diff from that MR on top of glib2.0 2.62.1-1, and based on my > limited tests it

Bug#942119: libproxy: depends on mono for build-arch; mono not universally present

2019-10-10 Thread Simon McVittie
On Thu, 10 Oct 2019 at 19:15:33 +0200, Thorsten Glaser wrote: > On Thu, 10 Oct 2019, Simon McVittie wrote: > > > * dh: Support running addons in "arch-only" or "indep-only" mode by > > adding "dh-sequence-ADDON" in Build-Depends-Arch or

Bug#942119: libproxy: depends on mono for build-arch; mono not universally present

2019-10-10 Thread Simon McVittie
On Thu, 10 Oct 2019 at 12:46:22 -0400, Jeremy Bicha wrote: > On Thu, Oct 10, 2019 at 12:09 PM Thorsten Glaser wrote: > > src:libproxy recently gained a B-D-Arch on dh-sequence-cli ... > > Please use mono only in B-D-Indep. > > dh-sequence-cli doesn't work in B-D-Indep as I found when I built

Bug#942022: librsvg: FTBFS on ppc64el: assertion failed: bounds.x1 >= bounds.x0

2019-10-09 Thread Simon McVittie
On Wed, 09 Oct 2019 at 18:29:23 +0200, Frédéric Bonnard wrote: > I see 2.44.14 which previously built, does not built in the very same build > environment where 2.44.15 fails. > Looking at the differences and trying downgrading some build deps, I > found that replacing rustc 1.37 with 1.36 makes

Bug#942022: librsvg: FTBFS on ppc64el: panicked at 'assertion failed: bounds.x1 >= bounds.x0', rsvg_internals/src/surface_utils/iterators.rs:36:9

2019-10-09 Thread Simon McVittie
Source: librsvg Version: 2.44.15-1 Severity: serious Tags: ftbfs User: debian-powe...@lists.debian.org Usertags: ppc64el https://buildd.debian.org/status/fetch.php?pkg=librsvg=ppc64el=2.44.15-1=1570485722=0 > ERROR: rsvg-test > > > thread '' panicked at 'assertion failed:

Bug#941908: gnome: unable to start gnome-shell, cursor only with no login

2019-10-07 Thread Simon McVittie
Control: tags -1 + moreinfo On Mon, 07 Oct 2019 at 08:55:14 -0500, william l-k wrote: > Problem: Instead of getting the authentication screen, the system has the > cursor appear (which moves around just fine so the system isn't frozen), but > never reaches a working gnome session. This looks

Bug#933573: Bug#933548: transition: gnome-desktop3

2019-10-06 Thread Simon McVittie
On Wed, 02 Oct 2019 at 21:00:29 +0200, Paul Gevers wrote: > If my view of things is > up-to-date and correct, it's the last piece of the puzzle together with > the samba situation (assuming LO will just build on mips64el). If I'm reading the log correctly, we have the remaining issues still

Bug#941844: gnome-shell: gdm fails to start: gnome-shell JS error

2019-10-06 Thread Simon McVittie
Control: reassign -1 gir1.2-gnomedesktop-3.0 3.34.0-2 Control: forcemerge 941782 -1 Control: affects 941782 + gnome-shell On Sun, 06 Oct 2019 at 11:38:27 +0100, Jamie Forth wrote: > After a recent full-upgrade, which included the installation of > libgnome-desktop-3-18:amd64 (3.34.0-2,

Bug#941718: poppler: diff for NMU version 0.71.0-5.1

2019-10-04 Thread Simon McVittie
:52.0 +0100 @@ -1,3 +1,12 @@ +poppler (0.71.0-5.1) unstable; urgency=medium + + * Non-maintainer upload. + * d/p/Silence-deprecation-warnings-for-PopplerAttachment-c.patch: +Silence deprecation warnings for GTime, fixing autopkgtest +(Closes: #941718) + + -- Simon McVittie Fri, 04

Bug#941718: poppler: autopkgtest fails with libglib2.0-0 (>= 2.62) due to deprecation of GTime

2019-10-04 Thread Simon McVittie
Source: poppler Version: 0.71.0-5 Severity: serious Tags: upstream bullseye sid Justification: https://release.debian.org/bullseye/rc_policy.txt §6a Forwarded: https://gitlab.freedesktop.org/poppler/poppler/issues/765 X-Debbugs-Cc: debian...@lists.debian.org User: debian...@lists.debian.org

Bug#933573: Bug#933548: transition: gnome-desktop3

2019-10-03 Thread Simon McVittie
On Thu, 03 Oct 2019 at 08:48:35 +0200, Andreas Henriksson wrote: > On Wed, Oct 02, 2019 at 08:46:50PM -0400, Jeremy Bicha wrote: > > There are also several autopkgtest failures triggered by glib2.0 and > > gobject-introspection. > > I quickly looked over these and it seems they're all except one

Bug#941488: dbus-test-runner: autopkgtest fails with libglib2.0-0 (>= 2.62)

2019-10-01 Thread Simon McVittie
Source: dbus-test-runner Version: 16.10.0~bzr100+repack1-4 Severity: serious Justification: https://release.debian.org/bullseye/rc_policy.txt §6a Tags: bullseye sid Control: block 933548 by -1 X-Debbugs-CC: debian...@lists.debian.org User: debian...@lists.debian.org Usertags: regression With the

Bug#941487: gconf: autopkgtest fails with libglib2.0-0 (>= 2.62)

2019-10-01 Thread Simon McVittie
Source: gconf Version: 3.2.6-5 Severity: serious Justification: https://release.debian.org/bullseye/rc_policy.txt §6a Tags: patch Forwarded: https://gitlab.gnome.org/Archive/gconf/merge_requests/1 With the recent upload of GLib 2.62 to unstable, gconf's autopkgtest has started failing:

Bug#941076: libgcr-base-3-1: pinentry-gnome3 causes gnome-shell crash if used with GLib >= 2.59

2019-09-27 Thread Simon McVittie
Control: tags -1 = bullseye sid Control: retitle -1 libgcr-base-3-1: pinentry-gnome3 causes gnome-shell crash if used with GLib >= 2.59 Control: reassign -1 libgcr-base-3-1 3.28.0-1 Control: affects -1 + gnome-shell pinentry-gnome3 Control: fixed -1 3.28.0-4 On Wed, 25 Sep 2019 at 16:59:01

Bug#941076: debsign crashes gnome on wayland session

2019-09-25 Thread Simon McVittie
On Wed, 25 Sep 2019 at 17:23:30 +0530, Pirate Praveen wrote: > > > On Wed, 25 Sep, 2019 at 16:59, Pirate Praveen > wrote: > > Let me try downgrading libgcr-base-3-1 and reproduce the crash. > Do I need to install some -dbgsym packages? Yes, please install at least gdb, libgcr-base-3-1-dbgsym

Bug#941076: debsign crashes gnome on wayland session

2019-09-25 Thread Simon McVittie
On Wed, 25 Sep 2019 at 12:33:08 +0530, Pirate Praveen wrote: > On Wed, 25 Sep, 2019 at 12:13, Pirate Praveen > wrote: > > I think I found the relevant part from the log. Attaching log from the > > point of crash. > > > > Sep 25 11:44:47 andhaka kernel: gnome-shell[1634]: segfault at 8 ip > >

Bug#941076: debsign crashes gnome on wayland session

2019-09-24 Thread Simon McVittie
Control: retitle -1 [GNOME 3.34] debsign crashes gnome on wayland session Control: tags -1 + experimental moreinfo On Tue, 24 Sep 2019 at 15:33:05 +0530, Pirate Praveen wrote: > After updating gnome to 2.34 I'm fairly sure you mean 3.34. There was no GNOME 2.34 release: GNOME 2.32 was in 2010,

Bug#940026: marked as pending in gvfs

2019-09-12 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #940026 in gvfs reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#940026: marked as pending in gvfs

2019-09-12 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #940026 in gvfs reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#940087: FTBFS: test-prompt: Method "Prompt" with signature "s" on interface "org.freedesktop.Secret.Prompt" doesn't exist

2019-09-12 Thread Simon McVittie
Control: reassign -1 python3-dbus 1.2.10-1 Control: affects -1 + src:libsecret Control: tags -1 + pending On Thu, 12 Sep 2019 at 09:34:21 +0100, Simon McVittie wrote: > > ** > > ERROR:libsecret/test-prompt.c:239:test_perform_vanish: assertion failed > > (error == NUL

Bug#940087: FTBFS: test-prompt: Method "Prompt" with signature "s" on interface "org.freedesktop.Secret.Prompt" doesn't exist

2019-09-12 Thread Simon McVittie
Source: libsecret Version: 0.18.7-1 Severity: serious Tags: ftbfs Justification: fails to build from source (but built successfully in the past) During build-time tests, for example in and

Bug#940026: gvfs: unbuildable in unstable: requires experimental gsettings-desktop-schemas

2019-09-11 Thread Simon McVittie
Source: gvfs Version: 1.42.0-1 Severity: grave Justification: renders package unusable > gvfs unsatisfiable Build-Depends(-Arch) on amd64: > gsettings-desktop-schemas-dev (>= 3.33.0) We cannot upload the new gsettings-desktop-schemas-dev to unstable yet, because it Breaks the current version of

Bug#932389: marked as pending in gnome-sound-recorder

2019-09-08 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #932389 in gnome-sound-recorder reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#932076: marked as pending in gnome-sound-recorder

2019-09-08 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #932076 in gnome-sound-recorder reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#939648: git-buildpackage: FTBFS in unstable: flake8: E117 over-indented

2019-09-07 Thread Simon McVittie
Package: git-buildpackage Version: 0.9.14 Severity: serious Tags: ftbfs Justification: fails to build from source During test-builds to evaluate whether the new version of gtk-doc-tools is ready for upload to unstable, git-buildpackage failed to build. I can reproduce the build failure in a pure

Bug#939457: lxml breaks beautifulsoup4 autopkgtest: a real XHTML didn't come out *exactly* the same as it went in

2019-09-05 Thread Simon McVittie
On Thu, 05 Sep 2019 at 09:56:41 +0200, Paul Gevers wrote: > AssertionError: b'http://ns1/;>\n xmlns="http://ns2[96 chars]ent>' != b' chars]xmlns:="http://ns1/;>\nhttp://n[99 chars]ent>' "xmlns:=" (note the ":") is not a valid PrefixedAttName in , so this looks

Bug#937448: pygobject: Python2 removal in sid/bullseye

2019-08-30 Thread Simon McVittie
Control: block -1 by 936371 On Fri, 30 Aug 2019 at 15:24:16 +0200, Andreas Henriksson wrote: > Reverse-Recommends > == ... > * python-dbus (for python-gi) > * python-dbus-tests (for python-gi) Lots of packages depend on python-dbus, too (see #936371)

Bug#935496: Fails to install: Invalid action '-p'

2019-08-30 Thread Simon McVittie
Control: tags -1 + bullseye sid On Fri, 23 Aug 2019 at 10:04:28 +0200, Michael Biebl wrote: > Setting up fuse (2.9.9-1) ... > dpkg: error processing package fuse (--configure): > installed fuse package post-installation script subprocess returned error > exit status 1 ... > # udevadm test

Bug#935699: marked as pending in gdm3

2019-08-29 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #935699 in gdm3 reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#924548: marked as pending in meta-gnome3

2019-08-29 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #924548 in meta-gnome3 reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#935699: marked as pending in gdm3

2019-08-29 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #935699 in gdm3 reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#935669: assaultcube-data: Outdated version makes assaultcube uninstallable

2019-08-27 Thread Simon McVittie
On Tue, 27 Aug 2019 at 16:13:10 +0200, Reiner Herrmann wrote: > I think the problem is that assaultcube-data 1.2.0.2.1-2 was uploaded > source-only. Someone needs to do a new upload including the arch:all > binary package, as it is in non-free (which the buildds don't seem to > build).

Bug#933799: geary and libgit2-glib FTBFS in sbuild with ccache installed

2019-08-26 Thread Simon McVittie
Control: severity -1 important On Tue, 13 Aug 2019 at 12:07:35 +0100, Simon McVittie wrote: > On Tue, 13 Aug 2019 at 14:14:01 +0530, Pirate Praveen wrote: > > Compiler stderr: > > ccache: error: Failed to create directory > > /sbuild-nonexistent/.ccache/tmp: Permission de

Bug#935788: marked as pending in vte2.91

2019-08-26 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #935788 in vte2.91 reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#935592: marked as pending in cogl

2019-08-25 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #935592 in cogl reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#935699: gdm3: uninstallable on s390x

2019-08-25 Thread Simon McVittie
On Sun, 25 Aug 2019 at 12:52:08 +0200, Ivo De Decker wrote: > On s390x, gdm3 isn't installable, because it needs gnome-shell, which FTBFS > there. So either the dependency should be dropped or the binaries for gdm3 on > s390x should be removed. gdm3 genuinely does require gnome-shell at runtime:

Bug#935592: cogl: FTBFS on i386: tests hang indefinitely, possibly during test_pixel_buffer_set_data

2019-08-24 Thread Simon McVittie
Source: cogl Version: 1.22.4-2 Severity: serious Tags: ftbfs Justification: fails to build from source (but built successfully in the past) On the i386 buildd: > make[6]: Entering directory '/<>/tests/conform' > Key: > ok = Test passed > n/a = Driver is missing a feature required for the test >

Bug#931921: marked as pending in clutter-1.0

2019-08-20 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #931921 in clutter-1.0 reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#935079: marked as pending in gnome-photos

2019-08-19 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #935079 in gnome-photos reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#934673: libgit2-glib ftbfs with meson.build:148:2: ERROR: Assert failed: libgit2 ssh support was requested, but not found. Use -Dssh=false to build without it

2019-08-13 Thread Simon McVittie
On Tue, 13 Aug 2019 at 14:14:01 +0530, Pirate Praveen wrote: > When building with sbuild, Is ccache preinstalled in the chroot you used? > #include > int > main(int argc, const char *argv[]) > { > git_libgit2_init (); > return ((git_libgit2_features() &

Bug#934390: totem, nautilus: not co-installable in unstable

2019-08-10 Thread Simon McVittie
Package: totem,nautilus Version: 3.30.0-4,3.32.3-1 Severity: serious Tags: sid Justification: GNOME team member opinion Affects: gnome-core nautilus (>= 3.32.1-1) Breaks/Replaces totem (<< 3.31.91-1), making gnome-core non-installable in unstable. I think this should be considered RC. It can be

Bug#923240: policykit-1: Please support alternative logind implementations

2019-08-09 Thread Simon McVittie
Control: tags -1 + moreinfo On Mon, 25 Feb 2019 at 10:58:49 +, Mark Hindley wrote: > For desktops to be installable on such systems, policykit-1 needs to depend on > the newly approved virtual packages default-logind and logind. In the latest > upload of src:systemd, libpam-systemd provides

Bug#881544: Epydoc will be removed

2019-08-01 Thread Simon McVittie
On Wed, 31 Jul 2019 at 21:51:38 -0500, Kenneth Pronovici wrote: > This is still one of 20+ packages in the archive that depend on > Epydoc. For those receiving this message out of context with only a bug number (for example via a Python team subscription on tracker.debian.org like I did), the

Bug#933529: gnome-control-center: SEGVs immediatly

2019-07-31 Thread Simon McVittie
On Wed, 31 Jul 2019 at 11:52:20 +0200, Tobias Frost wrote: > On Wed, Jul 31, 2019 at 10:05:18AM +0100, Simon McVittie wrote: > > Assuming this didn't happen in buster, it might be a regression or > > behaviour change in recent uploads of udisks2 or glib2.0. > > I assu

Bug#933529: gnome-control-center: SEGVs immediatly

2019-07-31 Thread Simon McVittie
Control: forwarded -1 https://gitlab.gnome.org/GNOME/gnome-control-center/issues/411 On Wed, 31 Jul 2019 at 10:05:18 +0100, Simon McVittie wrote: > On Wed, 31 Jul 2019 at 10:46:37 +0200, Tobias Frost wrote: > > Suddenly gnome-control-center starts to immediatly segfaults on start. &

Bug#933529: marked as pending in gnome-control-center

2019-07-31 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #933529 in gnome-control-center reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#933529: gnome-control-center: SEGVs immediatly

2019-07-31 Thread Simon McVittie
Control: retitle -1 gnome-control-center: segfaults on selecting Details -> Overview (info-overview) panel On Wed, 31 Jul 2019 at 10:46:37 +0200, Tobias Frost wrote: > Suddenly gnome-control-center starts to immediatly segfaults on start. Based on your backtrace, I can reproduce this from a

Bug#932781: Bug#932428, Bug#932767, Bug#932781: gnome-shell crashes involving monitor changes

2019-07-30 Thread Simon McVittie
Control: reassign -1 libmutter-3-0 3.30.2-7 Control: affects -1 gnome-shell Control: tags -1 + moreinfo Control: forwarded -1 https://gitlab.gnome.org/GNOME/mutter/merge_requests/538 On Mon, 22 Jul 2019 at 08:18:09 +0200, Jörn Heissler wrote: > gnome-shell crashes when I suspend my laptop or when

Bug#932781: gnome-shell crashed on laptop lid close

2019-07-30 Thread Simon McVittie
On Tue, 30 Jul 2019 at 09:49:08 +0530, Vasudev Kamath wrote: > Increasing severity to serious as this is hampering day to day > productivity. I know bugs like this are frustrating, but increasing their severity does not help to find their root causes and fix them. The gnome-shell and mutter

Bug#932678: glib2.0: tests timeout on i386 and mips

2019-07-28 Thread Simon McVittie
On Sun, 28 Jul 2019 at 00:04:01 +0200, Aurelien Jarno wrote: > The UTM8 based buildds like mips-sil-01 are much faster than the > mips-aql-0{1,2,4,5} buildds, and also have an FPU, although I am not > sure it plays a role here. The test that timed out uses g_random_double_range() in a fairly

Bug#932678: marked as pending in glib2.0

2019-07-26 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #932678 in glib2.0 reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#932678: glib2.0: tests timeout on i386 and mips

2019-07-26 Thread Simon McVittie
On Fri, 26 Jul 2019 at 23:39:54 +0100, Simon McVittie wrote: > On Sun, 21 Jul 2019 at 15:49:38 -0400, Michael Gilbert wrote: > > On i386, the gmenumodel test timed out. > > The failing test-case seems to be /gmenu/dbus/peer/subscriptions, which > has a watchdog timer tha

Bug#932678: glib2.0: tests timeout on i386 and mips

2019-07-26 Thread Simon McVittie
On Sun, 21 Jul 2019 at 15:49:38 -0400, Michael Gilbert wrote: > On i386, the gmenumodel test timed out. I can't reproduce this locally, and it normally takes about 6-7 seconds on an i386 VM on my laptop. It has had issues with arbitrary delays in the past, and got moved to the "slow" test suite

Bug#933145: libpseudo: file conflict with older pseudo

2019-07-26 Thread Simon McVittie
Package: libpseudo Version: 1.9.0+git20190515+996bead-1 Severity: serious > Unpacking libpseudo:amd64 (1.9.0+git20190515+996bead-1) over > (1.9.0+git20180920-1) ... > dpkg: error processing archive > /tmp/apt-dpkg-install-hl28Fk/10-libpseudo_1.9.0+git20190515+996bead-1_amd64.deb > (--unpack):

Bug#933069: libglib-perl: autopkgtest regression with GLib 2.60.x: GKeyFile comments no longer contain trailing newline

2019-07-26 Thread Simon McVittie
Source: libglib-perl Version: 3:1.329-2 Severity: serious Justification: https://lists.debian.org/debian-devel-announce/2019/07/msg2.html Tags: upstream patch pending Forwarded: https://gitlab.gnome.org/GNOME/perl-glib/merge_requests/1 User: debian...@lists.debian.org Usertags: regression

Bug#933066: ruby-gnome2: autopkgtest regression with GLib 2.60.x: format_size now uses non-breaking space

2019-07-26 Thread Simon McVittie
Source: ruby-gnome2 Version: 3.3.2-1 Severity: serious Justification: https://lists.debian.org/debian-devel-announce/2019/07/msg2.html Tags: upstream fixed-upstream patch Forwarded: https://github.com/ruby-gnome2/ruby-gnome2/commit/ac9762af255f276800e0863d1dd07ab9dd653d1b User:

Bug#932287: glib2.0: FTBFS on mips64el: linking 32-bit code with 64-bit code

2019-07-18 Thread Simon McVittie
Control: severity -1 normal On Thu, 18 Jul 2019 at 16:04:36 +0800, YunQiang Su wrote: > Simon McVittie 于2019年7月18日周四 上午2:03写道: > > Looks like plain objcopy produces MIPS-I objects, whereas invoking it > > in the normal way via the compiler frontend produces M

Bug#932287: glib2.0: FTBFS on mips64el: linking 32-bit code with 64-bit code

2019-07-17 Thread Simon McVittie
On Wed, 17 Jul 2019 at 12:18:14 +0100, Simon McVittie wrote: > It looks like the culprit might be commit > d04b9c371d277fa45ba20ad83642e57af50381e7: > https://gitlab.gnome.org/GNOME/glib/commit/d04b9c371d277fa45ba20ad83642e57af50381e7 > Is that objcopy invocation wrong for mips64el? D

Bug#932287: glib2.0: FTBFS on mips64el: linking 32-bit code with 64-bit code

2019-07-17 Thread Simon McVittie
Source: glib2.0 Version: 2.59.0-1 Severity: serious Tags: ftbfs Justification: fails to build from source (but built successfully in the past) X-Debbugs-Cc: debian-m...@lists.debian.org Something involving GResource appears to have regressed between 2.58.x in buster/bullseye and the more current

Bug#930935: Bug#930932: zenity: Zenity crashes out on Athlon XP CPU.

2019-06-24 Thread Simon McVittie
Control: reassign -1 libjavascriptcoregtk-4.0-18 2.24.2-1 Control: forcemerge 930935 -1 Control: affects 930935 zenity On Mon, 24 Jun 2019 at 18:12:50 +1000, Iris (Delta) wrote: > Jun 24 18:09:05 Iris kernel: traps: zenity[17538] trap invalid opcode > ip:b2cb9d97 sp:bffe9550 error:0 > Jun 24

Bug#930356: CVE-2019-12760

2019-06-21 Thread Simon McVittie
On Fri, 21 Jun 2019 at 13:15:23 +0200, Piotr Ożarowski wrote: > that's because python-jedi is a mutli-tarball source package and parso > was part of it at the beginning. Last time I checked gbp didn't > support it (or I don't know how to use it) so it was easier for me to > keep it outside DPMT. I

Bug#927667: gnome: please confirm or revert choice of Wayland for default desktop

2019-06-19 Thread Simon McVittie
On Wed, 19 Jun 2019 at 17:33:55 +0100, Jonathan Dowland wrote: > So far as I am aware there is still radio silence from active GNOME > packaging team members regarding this issue. No comment yet on the > patch I adapted, positive or negative; this bug (#927667) remains > at an RC severity.

Bug#930375: CVE-2019-12749: DBusServer DBUS_COOKIE_SHA1 authentication bypass

2019-06-11 Thread Simon McVittie
Version: 1.12.16-1 On Tue, 11 Jun 2019 at 17:34:40 +0100, Simon McVittie wrote: > For buster this has been fixed in libdbus-1-3 1.12.16-1. I'll close this > bug when I have a bug number.

Bug#930376: gvfsd GetConnection() missing authorization check

2019-06-11 Thread Simon McVittie
Package: gvfs-daemons Version: 1.14.1-1 Severity: grave Tags: security fixed-upstream patch Forwarded: https://gitlab.gnome.org/GNOME/gvfs/commit/70dbfc68a79faac49bd3423e079cb6902522082a While looking for services that might be vulnerable to CVE-2019-12749 or a similar vulnerability, I noticed

Bug#930375: CVE-2019-12749: DBusServer DBUS_COOKIE_SHA1 authentication bypass

2019-06-11 Thread Simon McVittie
Package: libdbus-1-3 Version: 1.0.0-1 Severity: grave Tags: security fixed-upstream patch Forwarded: https://gitlab.freedesktop.org/dbus/dbus/issues/269 Joe Vennix of Apple Information Security discovered an implementation flaw in the DBUS_COOKIE_SHA1 authentication mechanism. A malicious client

Bug#924548: bug 924548: gnome-core: does not actually install a desktop environment on s390x

2019-05-16 Thread Simon McVittie
On Thu, 16 May 2019 at 20:10:19 +0200, Paul Gevers wrote: > On Thu, 14 Mar 2019 10:29:06 +0000 Simon McVittie wrote: > > I recently changed gnome-core to install gnome-flashback instead of > > GNOME Shell on s390x, because: GNOME Shell is uninstallable on s390x, due > >

Bug#928240: etw: Segmentation fault at start

2019-04-30 Thread Simon McVittie
On Tue, 30 Apr 2019 at 23:04:50 +0200, Steinar H. Gunderson wrote: > On a quick analysis: It appears that etw tries to find its own path by > opening /proc/self/maps (code is in etw/prefix.c), looking for an executable > mapping (r-xp) that contains the string "", and then looking at the path.

Bug#919914: Systematic test of settings & tweaks

2019-04-29 Thread Simon McVittie
On Sun, 28 Apr 2019 at 19:37:18 -0700, Tassia Camoes Araujo wrote: > Failure #1 > > - To reproduce: Gnome-Tweaks configuration "Suspend when laptop lid is > closed" turned OFF. Gnome-settings Privacy option "Automatic lock" is > turned ON, and "After screen turns off". Close the lid. > -

Bug#919914: Systematic test of settings & tweaks

2019-04-28 Thread Simon McVittie
On Sun, 28 Apr 2019 at 07:31:39 -0700, Tassia Camoes Araujo wrote: > We did some systematic tests Please could you describe precisely what these tests mean, and particularly the cases you describe as failing? If the behaviour you expect doesn't match the behaviour that was intended, I don't want

Bug#927753: gnome-maps: segmentation fault at startup

2019-04-23 Thread Simon McVittie
Control: reassign -1 libgeocode-glib0 3.26.0-2 Control: severity 925539 serious Control: forcemerge 925539 -1 On Tue, 23 Apr 2019 at 01:05:55 +0200, gpe wrote: > I confirm. Installing libgeocode-glib0 3.26.1-1 resolves the issue. Reassigning to libgeocode-glib0 and merging with the existing bug,

Bug#926212: gnome-shell crashed: segfault in libgnome-shell.so after printing email from evolution

2019-04-21 Thread Simon McVittie
On Tue, 16 Apr 2019 at 22:47:14 +0100, Simon McVittie wrote: > On Tue, 02 Apr 2019 at 08:11:23 +0200, Guenter Grodotzki wrote: > > [39719.061358] gnome-shell[1279]: segfault at 0 ip 7fd4fa6ae3bf sp > > 7ffcf4dbaea0 error 4 in libgnome-shell.so[7fd4fa6a6000+1f000] >

Bug#926212: Bug #926212 in gnome-shell marked as pending

2019-04-21 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #926212 in gnome-shell reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#927162: Bug #927162 in gnome-shell marked as pending

2019-04-21 Thread Simon McVittie
Control: tag -1 pending Hello, Bug #927162 in gnome-shell reported by you has been fixed in the Git repository and is awaiting an upload. You can see the commit message below and you can check the diff of the fix at:

Bug#919914: gnome-tweaks now equates "don't suspend on lid close" with "don't lock on lid close" (security issue)

2019-04-20 Thread Simon McVittie
Control: tags -1 + moreinfo On Sun, 20 Jan 2019 at 08:55:23 -0800, Josh Triplett wrote: > I disable suspend on lid close, but I *always* need the screen to lock > when I close the lid. This seems like an inherently "unstable" pattern: whatever the precise design/meaning of this "tweak" might

Bug#927275: gnome-shell - Intel GPU - monitors.xml is ignored and settings are not applied after suspend/reboot

2019-04-18 Thread Simon McVittie
Control: severity -1 normal Control: reassign -1 libmutter-3-0 3.30.2-6 Control: tags -1 + moreinfo Control: affects -1 gnome-shell On Wed, 17 Apr 2019 at 10:32:25 +0200, - wrote: > Severity: serious This is an annoying bug, but is not so serious that removing GNOME from Debian would be better

Bug#927162: gnome-shell segfaults in libst-1.0.so

2019-04-16 Thread Simon McVittie
On Tue, 16 Apr 2019 at 15:13:56 -0700, Eloston wrote: > After looking at the TopIcons code at the line indicated in journalctl, I am > able to reproduce the crash with the following: > > 1. Open Looking Glass (lg) > 2. Run the following: > > a = new St.Widget(); > a.destroy(); >

Bug#926212: gnome-shell crashed (segfault)

2019-04-16 Thread Simon McVittie
Control: forwarded -1 https://gitlab.gnome.org/GNOME/gnome-shell/merge_requests/497 On Sun, 07 Apr 2019 at 20:00:23 +0200, Bernhard Übelacker wrote: > PS.: My untested change in message 10 might not crash, but lead to an > infinitive loop, as app->running_state might not change anymore... Yeah,

Bug#926212: gnome-shell crashed: segfault in libgnome-shell.so after printing email from evolution

2019-04-16 Thread Simon McVittie
Control: retitle -1 gnome-shell crashed: segfault in libgnome-shell.so after printing email from evolution Control: tags -1 + moreinfo Control: forwarded -1 https://gitlab.gnome.org/GNOME/gnome-shell/issues/750 I'm retitling this bug to try to stop other people using it to represent different

Bug#927162: gnome-shell segfaults in libst-1.0.so

2019-04-16 Thread Simon McVittie
Control: retitle -1 gnome-shell: intermittent segfault in st_widget_get_theme_node() at st-widget.c:603 Control: forwarded -1 https://gitlab.gnome.org/GNOME/gnome-shell/issues/1018 On Mon, 15 Apr 2019 at 12:12:36 -0700, Eloston wrote: > Just using GNOME normally causes the crash to happen. This

Bug#916347: epiphany-browser: Don't include in Buster

2019-04-16 Thread Simon McVittie
On Tue, 12 Mar 2019 at 18:54:32 -0400, Jeremy Bicha wrote: > The current plan is to provide security updates for webkit2gtk for > Debian 10 similar to how security support has been offered for Ubuntu > 16.04 LTS and 18.04 LTS. It's best-effort: there is no guarantee that > Debian will be able to

Bug#908815: [libdmtx0a] Structs in dmtx.h have changed without new ABI number

2019-04-13 Thread Simon McVittie
On Sat, 13 Apr 2019 at 11:39:09 +0200, Ivo De Decker wrote: > Are you planning an upload to unstable, so the transition can be done? Yes, I started preparing it last night. smcv

Bug#926646: libdmtx: Incomplete debian/copyright?

2019-04-08 Thread Simon McVittie
Control: found 926646 0.7.5-2 On Mon, 08 Apr 2019 at 08:43:57 -0400, Chris Lamb wrote: > I just ACCEPTed libdmtx from NEW but the FTP team had noticed that the > copyright stanza for debian/ is labelled GPL-2+ but its content is > GPL-2. This is not a regression in my NMU (which didn't touch

Bug#924548: gnome-core: does not actually install a desktop environment on s390x

2019-03-23 Thread Simon McVittie
On Sat, 23 Mar 2019 at 03:49:32 +0100, Andreas Henriksson wrote: > An additional option here which I'd like to propose would be to stop > mucking around with dependencies to try to hide problems on those > architectures. Instead "simply" do arch-specific removal of the broken > packages, including

Bug#922730: i686 only

2019-03-15 Thread Simon McVittie
Control: retitle -1 epiphany-browser: web process immediately crashes on 32-bit Control: forwarded -1 https://gitlab.gnome.org/GNOME/epiphany/merge_requests/218 Control: tags -1 + upstream fixed-upstream On Thu, 21 Feb 2019 at 09:13:17 +0800, 積丹尼 Dan Jacobson wrote: > i686 only. Works fine on

Bug#921114: AMD Radeon RX 580: no GL display, "amdgpu: The CS has been cancelled because the context is lost"

2019-03-14 Thread Simon McVittie
Control: severity -1 important On Thu, 14 Mar 2019 at 09:07:02 +, Simon McVittie wrote: > On Fri, 01 Feb 2019 at 18:16:41 +0100, Jean-Dominique Frattini wrote: > > since the latest update of xserver-xorg-video-amdgpu and > > firmware-amd-graphics [in buster], most GL

Bug#924548: gnome-core: does not actually install a desktop environment on s390x

2019-03-14 Thread Simon McVittie
Package: gnome-core Version: 1:3.30+1 Severity: serious Justification: we should make a decision one way or another before release I recently changed gnome-core to install gnome-flashback instead of GNOME Shell on s390x, because: GNOME Shell is uninstallable on s390x, due to mozjs60 not being

Bug#921114: AMD Radeon RX 580: no GL display, "amdgpu: The CS has been cancelled because the context is lost"

2019-03-14 Thread Simon McVittie
Control: reassign 921004 firmware-amd-graphics 20190114-1 Control: reassign 921145 firmware-amd-graphics 20190114-1 Control: forcemerge 921114 921004 921145 Control: retitle 921114 AMD Radeon RX 580: no GL display, "amdgpu: The CS has been cancelled because the context is lost" Control: tags

Bug#853016: nodm: regression: restarts during upgrade, causing data loss

2019-03-12 Thread Simon McVittie
level 12, which is arguably also RC (a missing dependency), and patch 0004 is a "would be nice" feature related to this bug (copied from dbus, which also isn't safe to restart). Regards, smcv >From 59cd62ef18a458e73a6e0f20d7140cf56a8d210c Mon Sep 17 00:00:00 2001 From: Simon McVittie Dat

Bug#924254: dmtx-utils: diff for NMU version 0.7.6-1.1

2019-03-11 Thread Simon McVittie
On Mon, 11 Mar 2019 at 10:09:21 +0100, Roberto Lumbreras wrote: > You can reschedule it to unstable without delay. Thanks, rescheduled. My changes to libdmtx are waiting in the NEW queue. When they get accepted, may I re-upload to unstable as soon as the release team are ready for the

Bug#924271: openarena: crashes at launch with "Couldn't compile shader" message.

2019-03-10 Thread Simon McVittie
Control: reassign -1 ioquake3 1.36+u20181222.e5da13f~dfsg-1 Control: tags -1 + moreinfo Control: affects -1 openarena quake3 Control: affects 923226 + openarena quake3 On Sun, 10 Mar 2019 at 19:42:20 +, Matthew Hoare wrote: >    Program failed to launch with a lengthy error message

Bug#907490: gnome-shell: Unrecoverable failure in required component org.gnome.Shell.desktop

2019-03-10 Thread Simon McVittie
Control: severity -1 important Control: tags -1 + unreproducible On Mon, 03 Sep 2018 at 20:32:14 -0500, william l-k wrote: > Could this be what we were looking for: > > Aug 28 09:30:54 user gnome-shell[3348]: JS ERROR: TypeError: > this._currentWindow is null I don't think so: it doesn't look

Bug#908815: libdmtx: diff for NMU version 0.7.5-2.1

2019-03-10 Thread Simon McVittie
. + + -- Simon McVittie Sun, 10 Mar 2019 17:13:33 + + libdmtx (0.7.5-2) unstable; urgency=low * Proper fix for simple_test compiler warnings. diff -Nru libdmtx-0.7.5/debian/control libdmtx-0.7.5/debian/control --- libdmtx-0.7.5/debian/control 2018-11-21 07:29:23.0 + +++ libdmtx

Bug#924254: dmtx-utils: diff for NMU version 0.7.6-1.1

2019-03-10 Thread Simon McVittie
that we get the right dependency for the +current version of libdmtx, and will depend on libdmtx0b after a +binNMU for #908815. (Closes: #924254) + + -- Simon McVittie Sun, 10 Mar 2019 16:59:53 + + dmtx-utils (0.7.6-1) unstable; urgency=low * Updated standards. Moved packaging

Bug#924254: dmtx-utils: hard-codes dependency on libdmtx0a

2019-03-10 Thread Simon McVittie
Package: dmtx-utils Version: 0.7.6-1 Severity: serious Tags: patch Justification: blocks fix for #908815 Control: block 908815 by -1 After renaming libdmtx0a to libdmtx0b (#908815) and rebuilding dmtx-utils, dmtx-utils ends up depending on both libdmtx0a and libdmtx0b, which is not going to work.

  1   2   3   4   5   6   7   8   9   10   >